---
title: '-moz-outline-radius-topleft'
slug: Web/CSS/-moz-outline-radius-topleft
tags:
  - CSS
  - CSS Property
  - NeedsCompatTable
  - NeedsContent
  - Non-standard
  - Reference
  - 'recipe:css-property'
---
<div>{{Non-standard_header}}{{CSSRef}}</div>

<p>In Mozilla applications, the <strong><code>-moz-outline-radius-topleft</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property can be used to round the top-left corner of an element's {{cssxref("outline")}}.</p>

<h2 id="Syntax">Syntax</h2>

<p>The value of <code>-moz-outline-radius-topleft</code> is either a CSS <code><a href="/en-US/docs/Web/CSS/length">&lt;length&gt;</a></code> or a <a href="/en-US/docs/Web/CSS/percentage">percentage</a> of the corresponding dimensions of the border box. The <code><a href="/en-US/docs/Web/CSS/calc">calc()</a></code> function may be used as well.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>&lt;length&gt;</code></dt>
 <dd>The radius of the circle defining the curvature of the top and left edges of the element, specified as a CSS <code><a href="/en-US/docs/Web/CSS/length">&lt;length&gt;</a></code>.</dd>
 <dt><code>&lt;percentage&gt;</code></dt>
 <dd>The radius of the circle defining the rounding of the top-left corner of the element, specified as the <a href="/en-US/docs/Web/CSS/percentage">percentages</a> of the top and left sides of the border box.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Examples">Examples</h2>

<p>The example below will not display the desired effect if you are viewing this in a browser other than Firefox.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;p&gt;Look at this paragraph's top-left corner.&lt;/p&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">p {
  margin: 5px;
  border: solid cyan;
  outline: dotted red;
  -moz-outline-radius-topleft: 2em;
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.-moz-outline-radius-topleft")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>See the {{cssxref("-moz-outline-radius")}} property for more information.</li>
</ul>
